package me.qwq.doghouse.interfaces;

import me.qwq.doghouse.component.Rk;
import me.qwq.doghouse.util.GravatarUtils;

public interface IAvatarUrl {
    
    public default String getAvatarUrl() {
        return getAvatarUrl(36);
    }
    
    public default String getAvatarUrl(Integer size) {
        return GravatarUtils.getProxyAvatarUrl(
                Rk.Gravatar.prepareDogHash(getEmail()));
    }
    
    public String getEmail();

}
